#!/bin/sh

VERSION=10.4.3

PKGDMG="MacOSX-WS-${VERSION}"
PKGDIR="/Volumes/${PKGDMG}"
INSTALLER="MacOSX WorkShop start kit.pkg"
LICENSE="Resources/License.rtf"
README="Resources/ReadMe.rtf"

CPMAC="/Developer/Tools/CpMac"
PMAKER="/Developer/Tools/packagemaker"

##
## clean {test,PKGDMG}.dmg
##

if [ -e test.dmg ]; then
	rm -f test.dmg
fi
if [ -e ${PKGDMG}.dmg ]; then
	rm -f ${PKGDMG}.dmg
fi

##
## create installer package
##

${PMAKER} -build -p MacOSX\ WorkShop\ start\ kit.pkg \
	-f ./ROOT -r ./Resources \
	-proj ./MacOSX\ WorkShop\ start\ kit.pmproj

##
## create Disk Img
##

echo "Create Disk Img"
hdiutil create -size 8m -type UDIF -fs HFS+ -volname "${PKGDMG}" -layout NONE test.dmg
hdid test.dmg

##
## copy installer
##

echo "Copy installer"
$CPMAC -r "${INSTALLER}" ${PKGDIR}
cp ${LICENSE} ${README} ${PKGDIR}

##
## compress Disk Img
##

echo "Compress Disk Img"
hdiutil eject `df | grep ${PKGDIR} | cut -f1 -d\ `
hdiutil convert -format UDZO -o ${PKGDMG}.dmg test.dmg
rm test.dmg

##
## create src package
##

echo "Create Source Package"
tar jcf MacOSX-WS-${VERSION}.tar.bz2 "MacOSX WorkShop start kit.pmproj" *.sh Resources ROOT apt
